/*

  STYLES

  Add custom styles here.

*/

a img {
  padding-bottom: var(--spacing-small);
}

a:hover,
a:focus,
a:focus code,
a:hover code {
  background: var(--dark-blue);
  color: var(--light-gray);
  text-decoration: none;
}

a:hover img,
a:hover img {
  background-color: var(--dark-blue);
}

a {
  color: var(--dark-blue);
  text-decoration: underline;
}

a:visited:hover,
a:visited:focus,
a:visited:focus code,
a:visited:hover code {
  background: var(--purple);
  color: var(--light-gray);
  text-decoration: none;
}

a:hover img,
a:hover img {
  background-color: var(--purple);
}

a:visited:focus code,
a:visited:hover code,
a:focus code,
a:hover code {
  padding-top: inherit;
  padding-bottom: inherit;
}

a:visited {
  color: var(--purple);
  text-decoration: underline;
}

img {
  max-width: 100%;
  height: auto;
  display: block;
  margin: var(--spacing-medium) auto var(--spacing-medium);
}

pre {
  overflow-x: auto;
}

p, ul, ol, dl {
  line-height: 1.5em;
}

code {
  font-family: Consolas, monaco, monospace;
}

pre {
  padding: var(--spacing-small) var(--spacing-small);
  margin-top: 0;
  margin-bottom: 0;
  max-width: fit-content;
  margin: 0 auto;
  min-width: 42rem;
  border-color: #cdecff;
  border-style: solid;
  border-width: 5px;
  border-radium: .25rem;
}

code:not([data-lang]) {
  background: var(--light-gray);
  border-radius: .25rem;
  padding: .13rem .25rem;
}

.footnote-ref {
  border: solid var(--gray) .05rem;
  background: var(--light-green);
  border-radius: .15rem;
  line-height: 0;
  padding: 0 .1rem;
  margin: 0 .05rem;
  text-decoration: none;
}

.footnote-backref {
  background: var(--light-green);
  border: solid var(--gray) .05rem;
  border-radius: .15rem;
  text-decoration: none;
  padding: 0 .2rem;
  /* padding: .05rem .2rem; */
  /* padding: .1rem; */
  margin-left: .2rem;
}

p, ul, ol, dl, h2, h3, h4, h5, h6, header, .readmore, .generated-using, .page-hash {
  max-width: 42rem;
  margin: 0 auto;
}


@media screen and (max-width: 832px) {
  p, ul, ol, dl, h2, h3, h4, h5, h6, header, .readmore, .generated-using, .page-hash {
    max-width: 30rem;
  }
}

p, ul, ol, dl, h2, h3, h4, h5, h6 {
  padding: .5rem;
}

ul, ol, dl {
  padding-left: 2rem;
}
